@import url("https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:wght@500;600&display=swap");
.testimonial-card {
  display: flex;
  justify-content: center;
  height: 100vh;
  background-color: hsl(210, 46%, 95%);
  align-items: center;

  @media screen and (max-width: 900px) {
    height: auto;
  }

  .grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto auto;
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    font-family: "Barlow Semi Condensed", sans-serif;
    height: max-content;
    width: 1080px;
    margin: 1rem;

    @media screen and (max-width: 900px) {
      display: flex;
      flex-direction: column;
    }

    .card {
      display: flex;
      flex: 1;
      flex-direction: column;
      justify-content: center;
      gap: 1rem;

      .card-header {
        display: flex;
        align-items: center;
        gap: 1rem;

        img {
          width: 40px;
          height: 40px;
          border-radius: 50%;
          border: 2px solid hsl(0, 0%, 81%);
        }
        .profile {
          display: flex;
          flex-direction: column;
          gap: 0.25rem;
          color: hsl(0, 0%, 81%);

          .name {
            font-size: 0.875rem;
            font-weight: 600;
          }
          .designation {
            opacity: 0.5;
          }
        }
      }
      .title {
        font-size: 1.25rem;
        font-weight: 600;
      }
      .description {
        color: hsl(0, 0%, 81%);
        opacity: 0.7;
        font-size: 13px;
      }
    }

    .item1 {
      grid-column-start: 1;
      grid-column-end: 3;
      border-radius: 1rem;
      color: white;
      background-repeat: no-repeat;
      background-position: top right 70px;
      background-image: url("../../assets/images/bg-pattern-quotation.svg");
      background-color: hsl(263, 55%, 52%);
      box-shadow: 0px 0px 10px 0px hsl(263, 55%, 52%);
      padding: 1.5rem;
    }
    .item2 {
      color: white;
      border-radius: 1rem;
      background-color: hsl(217, 19%, 35%);
      box-shadow: 0px 0px 10px 0px hsl(217, 19%, 35%);
      padding: 1.5rem;
    }
    .item3 {
      color: black;
      border-radius: 1rem;
      background-color: white;
      box-shadow: 0px 0px 10px 0px #fff;
      padding: 1.5rem;

      .profile {
        color: gray !important;
      }
      .description {
        color: gray !important;
      }
    }

    .item4 {
      grid-column-start: 2;
      grid-column-end: 4;
      color: white;
      border-radius: 1rem;
      background-color: hsl(219, 29%, 14%);
      box-shadow: 0px 0px 10px 0px hsl(219, 29%, 14%);
      padding: 1.5rem;
    }

    .item5 {
      grid-row-start: 1;
      grid-column-start: 4;
      grid-row-end: 3;
      color: black;
      border-radius: 1rem;
      background-color: white;
      box-shadow: 0px 0px 10px 0px white;
      padding: 1.5rem;

      .profile {
        color: gray !important;
      }
      .description {
        color: gray !important;
      }
    }
  }
}
